> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mileapp.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete data source



## OpenAPI

````yaml /openapi/public/openapi-data.json delete /data/{data_id}/
openapi: 3.0.0
info:
  title: MileApp API - Data
  version: 3.0.0
  description: MileApp API Documentation - RESTful API for field operations management.
servers:
  - url: https://apiweb.mile.app/api/v3
security:
  - bearerAuth: []
tags:
  - name: Data Source
    description: >-
      The Data source could help you simplify the process of filling in task
      information based on existing data at MileApp. This data could consist of
      information such as name, number, date, coordinate, and multiple options.
      The Data typically represents entities such as customers, products,
      employees, suppliers, or any other critical data elements that are used
      across the application.


      **To see the details of data source object, please follow [this
      link](#tag/data_source_model)**
  - name: Data Type
    description: >-
      The Data type is the structure of data fields that is customizable to suit
      your business needs. Data type attributes consist of IDs, name, field
      details, type, and primary key. This data type structure will be used at
      Data Source and Flow.


      **To see the details of data type object, please follow [this
      link](#tag/data_type_model)**
paths:
  /data/{data_id}/:
    delete:
      tags:
        - Data Source
      summary: Delete data source
      operationId: deleteDataById
      parameters:
        - name: _id
          in: path
          required: true
          description: |-
            Unique identifier for the data that generated by system.
            **Example**: `63dc641b1ed1fd63ad0c9013`
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                title: NetworkDeleteResponse
                properties:
                  status:
                    type: boolean
                    description: Status of response.
                  data:
                    description: Detail of object data source.
                    type: object
                    additionalProperties: true
                example:
                  status: true
                  data:
                    _id: 63dc641b1ed1fd63ad0c9013
                    dataId: Outlet
                    dataTypeId: 63db2fb476bc679c540369c4
                    outletName: Cabang Jakarta Pusat
                    outletHours: 12
                    outletType: minimarket
                    outletOpen: '09:00'
                    outletClosed: '17:00'
                    outletContractExpired: '2023-02-02'
                    outletOpenInWeekend: true
                    outletGeolocation: '-6.171702325136309,106.81775093078615'
                    outletPhoneNumber: +62 123 456 789
                    outletCloseOrder: '2023-02-02 17:00:00'
                    hubId: 63c63ab1b6972d3150348172
                    organizationId: 63c61d865347e356d05e3052
                    createdBy: john.doe@mile.app
                    updatedTime: '2023-02-03 01:32:11'
                    createdTime: '2023-02-03 01:32:11'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                title: NetworkDeleteResponse
                properties:
                  status:
                    type: boolean
                    description: Status of response.
                  message:
                    description: Message of API response.
                    type: string
                example:
                  status: false
                  message: data not found
        '500':
          description: Server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: boolean
                    description: Shows if the request was successful.
                  message:
                    type: string
                    description: A short message explaining what went wrong.
                example:
                  status: false
                  message: Internal server error, please contact support@mile.app.
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Use a valid Bearer token to authenticate.

````